<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

// $jenisAkta=intval($jenisAkta);
// if(!is_numeric($jenisAkta)){
    // show_404();
    // exit();
// }
// $penandatangan=$this->encrypt->decode(base64_decode($penandatangan));
// $penandatangan=intval($penandatangan);
// if(!is_numeric($penandatangan)){
    // show_404();
    // exit();
// }

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
$url = base_url("resources/template/akta/pidana_militer/".$filename.".rtf");
$Template = file_get_contents($url);
//--------------MULAI--------------------------------------------//
$nomorperkara=$dataTemplate->row()->nomor_perkara;
$nomorperkarasplit=explode("/",$nomorperkara);
$noreg=$nomorperkarasplit[0];
$matra=$nomorperkarasplit[2];
$bulan=$nomorperkarasplit[3];
$tahun=$nomorperkarasplit[4];
$namapihak=$dataTemplate->row()->namaPihak;
//$nrppihak=$dataTemplate->row()->nrp;
$pangkatpihak=$dataTemplate->row()->pangkat;
$jabatanpihak=$dataTemplate->row()->jabatan;
$kesatuanpihak=$dataTemplate->row()->kesatuan;
$alamatpihak=$dataTemplate->row()->alamatPihak;
$tempatlahirpihak=$dataTemplate->row()->tempatLahirPihak;
$tanggallahirpihak=$this->templatehelper->convertKeTglIndo($dataTemplate->row()->tanggalLahirPihak);
$kelaminpihak=$dataTemplate->row()->kelaminPihak;
$agamapihak=$dataTemplate->row()->agamaPihak;
$namapanitera=$dataTemplate->row()->pw;
$nrppanitera=$dataTemplate->row()->nrp_pejabat;
$pangkatpanitera=$dataTemplate->row()->pangkat_pejabat;
$namapangkatkorppanitera="$pangkatpanitera $namapanitera";
//$kodepengadilan=$dataTemplate->row()->kodePengadilan;
//$namapengadilan=$dataTemplate->row()->namaPengadilan;
//$namapengadilansplit=explode($kodepengadilan,$namapengadilan);
//$kotapengadilan=$namapengadilansplit[1];
//$nomorputusankasasi=$dataTemplate->row()->nomor_putusan_kasasi;
//$tglputusankasasi=$this->templatehelper->convertKeTglIndo($dataTemplate->row()->putusan_kasasi);

//$tglpemberitauan=$this->templatehelper->convertKeTglIndo($tgl_pemberitahuan);

if (empty($noreg)){$noreg="..........";}
if (empty($matra)){$matra="..........";}
if (empty($bulan)){$bulan="..........";}
if (empty($tahun)){$tahun="..........";}

if (empty($namapihak)){$namapihak="..........";}
if (empty($nrppihak)){$nrppihak="..........";}
if (empty($pangkatpihak)){$pangkatpihak="..........";}
if (empty($jabatanpihak)){$jabatanpihak="..........";}
if (empty($kesatuanpihak)){$kesatuanpihak="..........";}
if (empty($alamatpihak)){$alamatpihak="..........";}
if (empty($tempatlahirpihak)){$tempatlahirpihak="..........";}
if (empty($tanggallahirpihak)){$tanggallahirpihak="..........";}
if (empty($kelaminpihak)){$kelaminpihak="..........";}
if (empty($agamapihak)){$agamapihak="..........";}
if (empty($namapanitera)){$namapanitera="..........";}
if (empty($nrppanitera)){$nrppanitera="..........";}
if (empty($pangkatpanitera)){$pangkatpanitera="..........";}
if (empty($namapangkatkorppanitera)){$namapangkatkorppanitera="..........";}
if (empty($kodepengadilan)){$kodepengadilan="..........";}
if (empty($kotapengadilan)){$kotapengadilan="..........";}
if (empty($nomorputusankasasi)){$nomorputusankasasi="..........";}
if (empty($tglputusankasasi)){$tglputusankasasi="..........";}
if (empty($tglpemberitauan)){$tglpemberitauan="..........";}

//stiven 
$no_reg = $datapencabutankasasi->row()->nomor_register; 
$kodeeepn = $datapencabutankasasi->row()->kode_pn; 
$kodepn = "PM." . $kodeeepn;
$kd_matra = $datapencabutankasasi->row()->matra; 
$bln = $datapencabutankasasi->row()->bulan; 
$thn = $datapencabutankasasi->row()->tahun; 
$nama_panitera = $datapencabutankasasi->row()->nama_panitera; 
$namapangkatkorp_panitera = $datapencabutankasasi->row()->namapangkatkorppan; 
$nip_panitera = $datapencabutankasasi->row()->nippan; 
$kotapn = $datapencabutankasasi->row()->kota_pn;
$nama_ter = $datapencabutankasasi->row()->nama_terdakwa; 
$pangkatkorp_terdakwa = $datapencabutankasasi->row()->pangkat_korp_ter; 
$nrp_ter = $datapencabutankasasi->row()->nrp_terdakwa;
$jabatan_ter = $datapencabutankasasi->row()->jabatan_terdakwa; 
$kesatuan_ter = $datapencabutankasasi->row()->kesatuan_terdakwa; 
$tgl_permohonan_kasasi = $this->templatehelper->convertKeTglIndo($datapencabutankasasi->row()->permohonan_kasasi);
$kode_pt = $datapencabutankasasi->row()->kode_pt; 
$kota_pt = $datapencabutankasasi->row()->kota_pt; 
$no_pts_banding = $datapencabutankasasi->row()->nomor_putusan_banding; 
$tgl_pts_banding = $this->templatehelper->convertKeTglIndo($datapencabutankasasi->row()->tgl_putusan_banding);
$nama_oditur = $datapencabutankasasi2->row()->nama_oditur; 
$pangkat_korp_oditur = $datapencabutankasasi2->row()->pangkat_korp_oditur; 
$nrp_oditur = $datapencabutankasasi2->row()->nrp_oditur; 
$kode_otmil = $datapencabutankasasi2->row()->kode_otmil;
$namapangkatkorp_terdakwa = $datapencabutankasasi2->row()->namapangkatkorp_terdakwa;
$nrp_ter = $datapencabutankasasi2->row()->nrp_terdakwa; 
$nomor_permohonan_kasasi = "APK/" . $no_reg ."/". "PM." . $kodepn . "/" . $kd_matra . "/" . $bln . "/" . $thn;
$pangkat_korp_panitera = $datapencabutankasasi->row()->pangkat_korp_panitera; 

//$tglpemberitahuansplit = explode("/",$tgl_pemberitahuan); 
//$reordertanggal = "$tglpemberitahuansplit[2]-$tglpemberitahuansplit[1]-$tglpemberitahuansplit[0]"; 
//$tglpemberitauan = $this->templatehelper->convertKeTglIndo($reordertanggal); 
//$haripemberitahuan = $this->templatehelper->getHari($tglpemberitauan);

$tglpemberitahuansplit = explode("/",$tgl_pemberitahuan_cabut); 
$reordertanggal = "$tglpemberitahuansplit[2]-$tglpemberitahuansplit[1]-$tglpemberitahuansplit[0]";
$tglpemberitauan = $this->templatehelper->convertKeTglIndo($reordertanggal); 
$haripemberitahuan = $this->templatehelper->getHari($tglpemberitauan);

if (empty($no_reg)){$no_reg="..........";}
if (empty($kodepn)){$kodepn="..........";}
if (empty($kd_matra)){$kd_matra="..........";}
if (empty($bln)){$bln="..........";}
if (empty($thn)){$thn="..........";} 

if (empty($nama_panitera)){$nama_panitera="..........";}

if (empty($namapangkatkorp_panitera)){$namapangkatkorp_panitera="..........";}
if (empty($nip_panitera)){$nip_panitera="..........";}
if (empty($kotapn)){$kotapn="..........";}
if (empty($nama_ter)){$nama_ter="..........";}
if (empty($pangkatkorp_terdakwa)){$pangkatkorp_terdakwa="..........";}

if (empty($namapangkatkorp_terdakwa)){$namapangkatkorp_terdakwa="..........";}

if (empty($nrp_ter)){$nrp_ter="..........";}
if (empty($jabatan_ter)){$jabatan_ter="..........";}
if (empty($kesatuan_ter)){$kesatuan_ter="..........";}
if (empty($tgl_permohonan_kasasi)){$tgl_permohonan_kasasi="..........";}
if (empty($kode_pt)){$kode_pt="..........";}
if (empty($kota_pt)){$kota_pt="..........";}
if (empty($no_pts_banding)){$no_pts_banding="..........";}
if (empty($tgl_pts_banding)){$tgl_pts_banding="..........";}

if (empty($nama_oditur)){$nama_oditur="..........";}

if (empty($pangkat_korp_oditur)){$pangkat_korp_oditur="..........";}
if (empty($nrp_oditur)){$nrp_oditur="..........";}
if (empty($kode_otmil)){$kode_otmil="..........";}
if (empty($namapangkatkorp_terdakwa)){$namapangkatkorp_terdakwa="..........";}
if (empty($nrp_ter)){$nrp_ter="..........";}
if (empty($pangkat_korp_panitera)){$pangkat_korp_panitera="..........";}
if (empty($tglpemberitauan)){$tglpemberitauan="..........";}
if (empty($haripemberitahuan)){$haripemberitahuan="..........";}

$Template = str_replace('#kota_pn#',''.$kotapn.'',$Template);
$Template = str_replace('#no_register#',''.$no_reg.'',$Template);
$Template = str_replace('#kode_pn#',''.$kodepn.'',$Template);
$Template = str_replace('#matra#',''.$kd_matra.'',$Template);
$Template = str_replace('#bulan#',''.$bln.'',$Template);
$Template = str_replace('#tahun#',''.$thn.'',$Template);
$Template = str_replace('#nama_panitera#',''.$nama_panitera.'',$Template);
$Template = str_replace('#nama_pangkat_korp_panitera#',''.$namapangkatkorp_panitera.'',$Template);
$Template = str_replace('#nrp_panitera#',''.$nip_panitera.'',$Template);
$Template = str_replace('#nama_terdakwa#',''.$nama_ter.'',$Template); 
$Template = str_replace('#pangkat_korp_terdakwa#',''.$pangkatkorp_terdakwa.'',$Template); 
$Template = str_replace('#nrp_terdakwa#',''.$nrp_ter.'',$Template); 
$Template = str_replace('#jabatan_terdakwa#',''.$jabatan_ter.'',$Template);
$Template = str_replace('#kesatuan_terdakwa#',''.$kesatuan_ter.'',$Template);
$Template = str_replace('#nomor_permohonan_kasasi#',''.$nomor_permohonan_kasasi.'',$Template);
$Template = str_replace('#tanggal_permohonan_kasasi#',''.$tgl_permohonan_kasasi.'',$Template);
$Template = str_replace('#kode_pt#',''.$kode_pt.'',$Template);
$Template = str_replace('#kota_pt#',''.$kota_pt.'',$Template);
$Template = str_replace('#nomor_putusan_banding#',''.$no_pts_banding.'',$Template);
$Template = str_replace('#tanggal_putusan_banding#',''.$tgl_pts_banding.'',$Template);
$Template = str_replace('#pangkat_korp_panitera#',''.$pangkat_korp_panitera.'',$Template);
$Template = str_replace('#tanggal_pemberitahuan#',''.$tglpemberitauan.'',$Template);
$Template = str_replace('#hari_pemberitahuan#',''.$haripemberitahuan.'',$Template);

$Template = str_replace('#nama_oditur#',''.$nama_oditur.'',$Template);
$Template = str_replace('#pangkat_korp_oditur#',''.$pangkat_korp_oditur.'',$Template);
$Template = str_replace('#nrp_oditur#',''.$nrp_oditur.'',$Template);
$Template = str_replace('#nama_pangkat_korp_terdakwa#',''.$namapangkatkorp_terdakwa.'',$Template);
$Template = str_replace('#kode_otmil#',''.$kode_otmil.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;

?>